GET
/
v1
/
reports
/
mt940
MT940 report (synchronous)
curl --request GET \
  --url https://api.next.orenda.finance/v1/reports/mt940 \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.next.orenda.finance/v1/reports/mt940', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.next.orenda.finance/v1/reports/mt940"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "success": true,
  "data": {
    "mt940Text": "<string>"
  }
}
{
"success": false,
"error_code": "REPORT_TOO_LARGE"
}
{
"success": false,
"error_code": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fromDate
string<date>
required

Inclusive start of the reporting range (YYYY-MM-DD).

toDate
string<date>
required

Inclusive end of the reporting range (YYYY-MM-DD).

Response

The rendered MT940 statement text.

success
boolean
Example:

true

data
object